## org.eclipse.m2m.atl.core.ui.launch
Class RemoteAtlTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.m2m.atl.core.ui.launch.RemoteAtlTab

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.debug.ui.ILaunchConfigurationTab, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.internal.SWTEventListener

    public class RemoteAtlTab

extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab
implements org.eclipse.swt.events.ModifyListener

The remote ATL tab.

Constructor Summary
`RemoteAtlTab()`

Method Summary
`boolean` `canSave()`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`void` `modifyText(org.eclipse.swt.events.ModifyEvent e)`
`void` `performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getControl, getErrorMessage, getId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, isValid, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage, updateLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteAtlTab

    public RemoteAtlTab()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.createControl(org.eclipse.swt.widgets.Composite)`

### setDefaults

    public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  Specified by:
    `setDefaults` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### initializeFrom

    public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

  Specified by:
    `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### performApply

    public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  Specified by:
    `performApply` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  See Also:
    `ILaunchConfigurationTab.getName()`

### getImage

    public org.eclipse.swt.graphics.Image getImage()

  Specified by:
    `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.getImage()`

### canSave

    public boolean canSave()

  Specified by:
    `canSave` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `canSave` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.canSave()`

### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent e)

  Specified by:
    `modifyText` in interface `org.eclipse.swt.events.ModifyListener`
  See Also:
    `ModifyListener.modifyText(org.eclipse.swt.events.ModifyEvent)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.